curl --request POST \
--url https://api.hubapi.com/webhooks-journal/snapshots/2026-03/crm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"snapshotRequests": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"properties": [
"<string>"
]
}
]
}
'{
"snapshotResponses": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"snapshotStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}指定されたポータル用にCRMオブジェクトスナップショットのバッチを作成します。このエンドポイントを使用すると、特定の時点でのCRMオブジェクトの状態を取得できます。これは、監査や履歴分析に役立ちます。このリクエストには、ポータルID、オブジェクトID、オブジェクトタイプID、およびスナップショットに含めるプロパティーをそれぞれ指定するCRMオブジェクトスナップショットリクエストのリストが必要です。
curl --request POST \
--url https://api.hubapi.com/webhooks-journal/snapshots/2026-03/crm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"snapshotRequests": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"properties": [
"<string>"
]
}
]
}
'{
"snapshotResponses": [
{
"objectId": 123,
"objectTypeId": "<string>",
"portalId": 123,
"snapshotStatusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
CrmObjectSnapshotRequestオブジェクトの配列。各オブジェクトは、特定のCRMオブジェクトのスナップショットを作成するリクエストを表します。このプロパティーは必須です。
Show child attributes
successful operation
CrmObjectSnapshotResponseオブジェクトの配列。各オブジェクトは、特定のCRMオブジェクトのスナップショット操作の結果を表します。このプロパティーは必須です。
Show child attributes